import * as $dara from '@darabonba/typescript';
export declare class DeleteFileProtectRuleRequest extends $dara.Model {
    /**
     * @remarks
     * The IDs of the core file monitoring rules that you want to delete.
     */
    id?: number[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
